<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style></style>
    <title>HTML Tables and Forms</title>
  </head>
  <body>
    <header id="header">
      <h1>HTML Tables and Forms</h1>
    </header>

    <main id="main">
      <section id="table">
        <h2>HTML Entities</h2>
        <p>
          <em>
            Reserved characters in HTML (e.g. &lt; or &gt; characters that can
            mix up with HTML code).
          </em>
        </p>
        <table border="1">
          <!-- thead used to group table header content-->
          <thead>
            <tr>
              <!-- Defines a table header element -->
              <th colspan="2">Entity</th>
              <th>Description</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>&lt;</td>
              <td>lt</td>
              <td>less than</td>
            </tr>
            <tr>
              <td>&gt;</td>
              <td>gt</td>
              <td>greater than</td>
            </tr>
            <tr>
              <td>&#8369;</td>
              <td>#8369</td>
              <td>peso sign</td>
            </tr>
            <tr>
              <td>&amp;</td>
              <td>amp</td>
              <td>ampersand</td>
            </tr>
            <tr>
              <td>&quot;</td>
              <td>quot</td>
              <td>double quotation mark</td>
            </tr>
            <tr>
              <td>&apos;</td>
              <td>apos</td>
              <td>single quotation mark (apostrophe)</td>
            </tr>
            <tr>
              <td>&ntilde;</td>
              <td>ntilde</td>
              <td>Lower Tilde</td>
            </tr>
            <tr>
              <td>&Ntilde;</td>
              <td>Ntilde</td>
              <td>Upper Tilde</td>
            </tr>
          </tbody>
          <tfoot>
            <!-- Used to group footer content -->
            <tr>
              <th colspan="3">List of HTML entities.</th>
            </tr>
          </tfoot>
        </table>
      </section>
      <section id="form">
        <p>HTML Forms</p>
        <p>
          <em>Input elements that make up a form.</em>
        </p>
        <!-- Creates an HTML form to capture user input -->
        <form action="https://google.com">
          <!-- Creates a label and allows for input field selection when clicked -->
          <label for="full_name">Full Name:</label><br />
          <!-- Creates an input field to capture input field -->
          <input
            type="text"
            name="full_name"
            id="full_name"
            required
            autocomplete
          /><br /><br />
          <label for="">Birth Date:</label><br />
          <input type="date" name="birth_date" id="birth_date" required />
          <br /><br />
          <label>Age</label><br />
          <input
            type="number"
            name="age"
            id="age"
            min="1"
            max="100"
            required
          /><br /><br />
          <label for="gender">Gender</label><br />
          <!-- Creates a dropdown menu -->
          <select name="gender" id="gender">
            <!-- Creates an option for the dropdown -->
            <option>-</option>
            <option value="Male">Male</option>
            <option value="Female">Female</option></select
          ><br /><br />
          <label for="notes">Notes</label><br />
          <!-- Creates a larger text input -->
          <textarea name="notes" id="notes" cols="30" rows="5"></textarea
          ><br /><br />

          <label>New User</label><br />
          <!-- Radio buttons -->
          <input type="radio" name="new_user" id="user-type1" value="yes" />
          <label for="user-type1">Yes</label><br />
          <input type="radio" name="new_user" id="user-type2" value="no" />
          <label for="user-type2">No</label>
          <br />
          <br />
          <!-- Checkboxes -->
          <label>Role</label><br />
          <!-- Create Checkboxes for multiple choices -->
          <input type="checkbox" name="role1" id="role1" value="developer" />
          <label for="role1">Developer</label><br />
          <input type="checkbox" name="role2" id="role2" value="student" />
          <label for="role2">Student</label><br />
          <input type="checkbox" name="role3" id="role3" value="manager" />
          <label for="role3">Manager</label><br />

          <br />
          <br />
          <!-- Creates a button that will submit the form data -->
          <button type="submit">Submit</button>
          <button type="reset">Reset</button>
        </form>
      </section>
    </main>
  </body>
</html>
